SDL_RenderTextureRotated(3)

NAME
SDL_RenderTextureRotated - Copy a portion of the source texture to the current rendering target, with rotation and flipping, at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderTextureRotated(SDL_Renderer *renderer, SDL_Texture *texture,
                         const SDL_FRect *srcrect, const SDL_FRect *dstrect,
                         double angle, const SDL_FPoint *center,
                         SDL_FlipMode flip);

FUNCTION PARAMETERS

renderer
    the renderer which should copy parts of a texture.

texture
    the source texture.

srcrect
    a pointer to the source rectangle, or NULL for the entire texture.

dstrect
    a pointer to the destination rectangle, or NULL for the entire rendering target.

angle
    an angle in degrees that indicates the rotation that will be applied to dstrect, rotating it in a clockwise direction.

center
    a pointer to a point indicating the point around which dstrect will be rotated (if NULL, rotation will be done around dstrect.w/2, dstrect.h/2).

flip
    an SDL_FlipMode value stating which flipping actions should be performed on the texture.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderTexture(3)